Subject: Re: [take25 1/6] kevent: Description.

From: Ulrich Drepper <[email-masked]>
Date: Fri, 24 Nov 2006 08:17:30 -0800

Evgeniy Polyakov wrote:
> Ulrich, why didn't you comment on previous interface, which had exactly
> _one_ index exported to userspace - it is only required to add implicit
> uidx and (if you prefer that way) additional syscall, since in previous
> interface both waiting and commit was handled by kevent_wait() with
> different parameters.

If you read my old mails you'll find that I'm pretty consistent wrt to 
the ring buffer interface.  The old code had other problems, not the 
missing exposure of the uidx value.

There is really not much disagreement here.  I just don't like the 
interface unnecessarily and misleadingly large by exposing the uidx 
value which is not useful to the userlevel code.  Just remove the 
element and stuff it into a kernel-internal struct for the queue and 
you're done.

-- 
➧ Ulrich Drepper ➧ Red Hat, Inc. ➧ 444 Castro St ➧ Mountain View, CA ❖